<template>
    <ViewGridDetail :columns="columns" :detailColumns="detailColumns" :title="title" :url="url" :heigth="heigth"
        :paginationHide="paginationHide" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :dropdownItems="dropdownItems" :table="table">

    </ViewGridDetail>
</template>

<script>
import ViewGridDetail from "../../../components/basic/ViewGrid/ViewGridDetail.vue";
import VolForm from "../../../components/basic/VolForm.vue";

export default {
    components: { VolForm, ViewGridDetail },
    data() {
        return {
            title: "组盘数据",
            url: "/api/BoxingInfo/GetPageData",
            dropdownItems: [],
            table: 'DtBoxing',
            columns: [
                { field: 'id', title: '库存ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
                { field: 'palletCode', title: '托盘条码', type: 'string', width: 110, align: 'left', sort: true },
                { field: 'locationCode', title: '库位', type: 'string', width: 110, align: 'left' },
                { field: 'isFull', title: '是否满盘', type: 'bool', width: 110, align: 'left' },
                // { field: 'state', title: '库存状态', type: 'int', width: 110, align: 'left', bind: { key: "StockState", data: [] } },
                { field: 'remark', title: '备注', type: 'string', width: 120, hidden: true, align: 'left' },
                { field: 'createDate', title: '创建时间', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
            ],
            detailColumns: [
                { title: "物料编号", field: "materielCode", type: "text" },
                { title: "物料名称", field: "materielName", type: "text" },
                { title: "库存状态", field: "status", type: "text" },
                { title: "组盘数量", field: "stockQuantity", type: "text" },
                { title: "创建时间", field: "createDate", type: "text" },
            ],
            searchFormFields: {},

            searchFormOptions: [
                [
                    { "title": "托盘条码", "field": "palletCode", type: "text" },
                    { "title": "物料编号", "field": "materielCode", type: "text" },
                    { "title": "库存状态", "field": "status", type: "select", dataKey: "StockState", data: [] },
                    { "title": "组盘类型", "field": "groupType", type: "select", dataKey: "GroupType", data: [] },
                ]
            ],
            tableData: [],
            heigth: 740,
            currentPage1: {
                sort: "",
                order: "desc",
                Foots: "",
                total: 0,
                // 2020.08.29增加自定义分页条大小
                sizes: [30, 60, 100, 120],
                size: 30, // 默认分页大小
                Wheres: [],
                page: 1,
                rows: 30,
            }
        };
    },
    methods: {
        onInit() {
            // this.dropdownItems.unshift({
            //     name: '按钮', //按钮名称
            //     icon: 'el-icon-document', //按钮图标vue2版本见iview文档icon，vue3版本见element ui文档icon(注意不是element puls文档)
            //     type: 'primary', //按钮样式vue2版本见iview文档button，vue3版本见element ui文档button
            //     value: '321', //按钮值
            //     onClick: function () {
            //         this.$Message.success('点击了按钮');
            //     }
            // });
        },
    },
    created() {
        this.onInit();
    }
};
</script>

<style></style>
